import { Instructor } from './src/itemProps/Instructor';
import { CourseWorkload } from './src/itemProps/CourseWorkload';
import { CourseMode } from './src/itemProps/CourseMode';
import { SuperEvent } from './src/itemProps/SuperEvent';
import { EventAttendanceMode } from './src/itemProps/EventAttendanceMode';
import { Review } from './src/itemProps/Review';
import { Translator } from './src/itemProps/Translator';
import { StartDate } from './src/itemProps/StartDate';
import { Composer } from './src/itemProps/Composer';
import { MaximumAttendeeCapacity } from './src/itemProps/MaximumAttendeeCapacity';
import { MaximumVirtualAttendeeCapacity } from './src/itemProps/MaximumVirtualAttendeeCapacity';
import { Director } from './src/itemProps/Director';
import { Funding } from './src/itemProps/Funding';
import { Keywords } from './src/itemProps/Keywords';
import { Audience } from './src/itemProps/Audience';
import { Offers } from './src/itemProps/Offers';
import { SubEvent } from './src/itemProps/SubEvent';
import { Actor } from './src/itemProps/Actor';
import { EventStatus } from './src/itemProps/EventStatus';
import { EndDate } from './src/itemProps/EndDate';
import { Funder } from './src/itemProps/Funder';
import { Performer } from './src/itemProps/Performer';
import { AggregateRating } from './src/itemProps/AggregateRating';
import { TypicalAgeRange } from './src/itemProps/TypicalAgeRange';
import { Location } from './src/itemProps/Location';
import { Performers } from './src/itemProps/Performers';
import { Duration } from './src/itemProps/Duration';
import { Organizer } from './src/itemProps/Organizer';
import { Sponsor } from './src/itemProps/Sponsor';
import { PreviousStartDate } from './src/itemProps/PreviousStartDate';
import { IsAccessibleForFree } from './src/itemProps/IsAccessibleForFree';
import { RemainingAttendeeCapacity } from './src/itemProps/RemainingAttendeeCapacity';
import { SubEvents } from './src/itemProps/SubEvents';
import { WorkPerformed } from './src/itemProps/WorkPerformed';
import { DoorTime } from './src/itemProps/DoorTime';
import { InLanguage } from './src/itemProps/InLanguage';
import { About } from './src/itemProps/About';
import { RecordedIn } from './src/itemProps/RecordedIn';
import { MaximumPhysicalAttendeeCapacity } from './src/itemProps/MaximumPhysicalAttendeeCapacity';
import { Attendee } from './src/itemProps/Attendee';
import { WorkFeatured } from './src/itemProps/WorkFeatured';
import { EventSchedule } from './src/itemProps/EventSchedule';
import { Contributor } from './src/itemProps/Contributor';
import { Attendees } from './src/itemProps/Attendees';
import { MainEntityOfPage } from './src/itemProps/MainEntityOfPage';
import { AlternateName } from './src/itemProps/AlternateName';
import { Name } from './src/itemProps/Name';
import { PotentialAction } from './src/itemProps/PotentialAction';
import { Image } from './src/itemProps/Image';
import { Url } from './src/itemProps/Url';
import { Description } from './src/itemProps/Description';
import { SubjectOf } from './src/itemProps/SubjectOf';
import { AdditionalType } from './src/itemProps/AdditionalType';
import { DisambiguatingDescription } from './src/itemProps/DisambiguatingDescription';
import { SameAs } from './src/itemProps/SameAs';
import { Identifier } from './src/itemProps/Identifier';
import { CourseInstance } from './src/CourseInstance';
import CourseInstanceFactory from './src/CourseInstanceFactory';
export { CourseInstanceFactory, CourseInstance, Instructor, CourseWorkload, CourseMode, SuperEvent, EventAttendanceMode, Review, Translator, StartDate, Composer, MaximumAttendeeCapacity, MaximumVirtualAttendeeCapacity, Director, Funding, Keywords, Audience, Offers, SubEvent, Actor, EventStatus, EndDate, Funder, Performer, AggregateRating, TypicalAgeRange, Location, Performers, Duration, Organizer, Sponsor, PreviousStartDate, IsAccessibleForFree, RemainingAttendeeCapacity, SubEvents, WorkPerformed, DoorTime, InLanguage, About, RecordedIn, MaximumPhysicalAttendeeCapacity, Attendee, WorkFeatured, EventSchedule, Contributor, Attendees, MainEntityOfPage, AlternateName, Name, PotentialAction, Image, Url, Description, SubjectOf, AdditionalType, DisambiguatingDescription, SameAs, Identifier };
declare const _default: {
    CourseInstance: any;
    Instructor: any;
    CourseWorkload: any;
    CourseMode: any;
    SuperEvent: any;
    EventAttendanceMode: any;
    Review: any;
    Translator: {
        Person: any;
        Organization: any;
    };
    StartDate: {
        DateTime: any;
        Date: any;
    };
    Composer: {
        Organization: any;
        Person: any;
    };
    MaximumAttendeeCapacity: any;
    MaximumVirtualAttendeeCapacity: any;
    Director: any;
    Funding: any;
    Keywords: any;
    Audience: any;
    Offers: {
        Offer: any;
        Demand: any;
    };
    SubEvent: any;
    Actor: any;
    EventStatus: any;
    EndDate: {
        Date: any;
        DateTime: any;
    };
    Funder: {
        Organization: any;
        Person: any;
    };
    Performer: {
        Organization: any;
        Person: any;
    };
    AggregateRating: any;
    TypicalAgeRange: any;
    Location: any;
    Performers: {
        Person: any;
        Organization: any;
    };
    Duration: any;
    Organizer: {
        Person: any;
        Organization: any;
    };
    Sponsor: {
        Organization: any;
        Person: any;
    };
    PreviousStartDate: any;
    IsAccessibleForFree: any;
    RemainingAttendeeCapacity: any;
    SubEvents: any;
    WorkPerformed: any;
    DoorTime: {
        Time: any;
        DateTime: any;
    };
    InLanguage: any;
    About: any;
    RecordedIn: any;
    MaximumPhysicalAttendeeCapacity: any;
    Attendee: {
        Person: any;
        Organization: any;
    };
    WorkFeatured: any;
    EventSchedule: any;
    Contributor: {
        Organization: any;
        Person: any;
    };
    Attendees: {
        Person: any;
        Organization: any;
    };
    MainEntityOfPage: {
        CreativeWork: any;
        URL: any;
    };
    AlternateName: any;
    Name: any;
    PotentialAction: any;
    Image: {
        URL: any;
        ImageObject: any;
    };
    Url: any;
    Description: any;
    SubjectOf: {
        Event: any;
        CreativeWork: any;
    };
    AdditionalType: any;
    DisambiguatingDescription: any;
    SameAs: any;
    Identifier: any;
};
export default _default;
//# sourceMappingURL=index.d.ts.map